Page MenuHomePhabricator

CheckUserLog API: Support for query continue
Closed, ResolvedPublic

Description

Author: Amalthea.wikimedia

Description:
The ApiQueryCheckUserLog does not support query-continue logic. It would be nice if it did.

In fact, there's actually a bug in the module related to this: It already selects <tt>$limit + 1</tt> rows, presumably because it was based on a module that supported query-continue, so the result currently always contains one more row than requested.


Version: master
Severity: normal

Details

Reference
bz40658

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:52 AM
bzimport added a project: CheckUser.
bzimport set Reference to bz40658.
bzimport created this task.Oct 1 2012, 11:21 AM
Reedy added a comment.Oct 1 2012, 1:03 PM

(In reply to comment #0)

In fact, there's actually a bug in the module related to this: It already
selects <tt>$limit + 1</tt> rows, presumably because it was based on a module
that supported query-continue, so the result currently always contains one more
row than requested.

$this->addOption( 'LIMIT', $limit + 1 );

Indeed. It also doesn't check if said results "fit" into the api resultset

  • Bug 43943 has been marked as a duplicate of this bug. ***

Merged by Yurik on the 8th.

Reedy set Security to None.Nov 29 2015, 2:02 PM
MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.May 9 2016, 8:57 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 9 2016, 8:57 AM